<template>
  <div class="confirm" v-if="show">
    <p class="text">1.请您登录前先阅读以下信息，点击我要登录即代表您同意GIADA小程序获取您的信息。</p>
    <!-- <p class="text">2.GIADA小程序为北京珠穆朗玛移动通信有限公司内部人员使用。</p> -->
    <!-- <p class="text">3.8848保卡主要功能包括保卡录入，保卡撤销，保卡的换购，保卡查询等，需要使用员工的手机号和验证码进行登录。</p> -->
    <!-- <v-spaces :height="'22px'"></v-spaces> -->
    <!-- <v-footer :footer="'授权登录'" @footerEmit="enter()"></v-footer> -->
    <button
      class="footer"
      @click="getUserInfo1">我要登录</button>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
  import '../../../../static/css/reset.css';
  import config from '@/config'
  import footer from '@/components/footer/footer.vue'
//   import spaces from '@/components/spaces/spaces.vue'
  import hintbox from '@/components/hintbox/hintbox.vue'
   import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData,Appid} from '@/utils/base'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
          show:false,
        hintbox: {
          text: "",
          show: false
        },
        button:{
          high : true
        }
      }
    },
    components:{
       'v-footer' : footer,
       'v-hintbox' : hintbox
    },
    methods:{
      close(){
        let that =  this;
        that.hintbox.show = false;
        this.hintbox.text = '';
      },
   // 查看是否授权
    getUserInfo1(){
      let that =this;
      config.href(config.mainPage.confirm,true);
    },
    enter(){
        let that =this;
        let appid = Appid();
        console.log(appid);
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let phone =  wx.getStorageSync('phonewx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkIslogin(function (res) {
          console.log('用户已授权登录');
          if(phone){
            VeevlinkClient(
             '/member/login?openId='+VerificationCodeEntity.OpenId + '&phone='+phone.phoneNumber+'&type=wechat',
              'GET',
              '',
            function (data) {
              if(data.success){
                 wx.setStorageSync('memberid',data.records[0].memberId);
                 wx.reLaunch({
                    url: '/pages/mainPage/home/main?id=1'
                 })
              }else{
                  this.show = true;
                if(appid === 'wxe3786e0f1c17f2f9'){
                  //  config.href(config.mainPage.confirm,true);
                  // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
                 
                }else{
                  // config.href(config.mainPage.confirm,true);
                  // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
                }
              }
            },
            function (err) {
              if(appid === 'wxe3786e0f1c17f2f9'){
                // config.href(config.mainPage.confirm,true);
                // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
              }else{
                // config.href(config.mainPage.confirm,true);
                // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
              }
            })

          }else{
             that.show = true;
          }
          
        },function (appid) {
          // 判断失败时的appid是测试环境就跳授权也，否则跳手机登录
          if(appid === 'wxe3786e0f1c17f2f9'){
            // config.href(config.mainPage.confirm,true);
            // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
            // 2019-10-25 sonia改动 end
          }else{
            config.href(config.mainPage.home,true);
          }
        },function (text) {
          // 用户授权失败
          that.hintbox.show = true;
          that.hintbox.text = text;
        });
      },
    
  },
   onShow(){
    this.enter();
  },
   onLoad() {
      mta.Page.init();

      
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  lang="scss"  type="text/scss" scoped >
   .confirm{
     .text{
       font-size: 0.32rem;
       color: #000;
       margin: 0.3rem 0.4rem;
       line-height: 0.5rem;
     }
      .footer{
      font-size: 0.24rem;
      color: #fff;
      text-align: center;
      height: 0.6rem;
      line-height: 0.6rem;
      margin: 0 0.7rem;
      width:6.1rem;
      border-radius:0;
      background:#919191
    }
    .stop{
      background-color: #E4C6A8;
    }
   }
</style>
